Get session
curl --request GET \
--url https://aropay.aro.media/api/v1/auth/session \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aropay.aro.media/api/v1/auth/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aropay.aro.media/api/v1/auth/session"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"data": {
"user": {
"id": "ckusr0001abcd",
"email": "you@company.com",
"name": "Ada Lovelace",
"company": "Example Corp",
"mustChangePassword": false,
"totpEnabled": true,
"lastLoginAt": "2026-08-13T09:00:00.000Z",
"createdAt": "2026-06-01T12:00:00.000Z"
},
"authMethod": "api_key"
}
}{
"ok": false,
"error": {
"code": "invalid_api_key",
"message": "Invalid API key."
}
}{
"ok": false,
"error": {
"code": "account_disabled",
"message": "This account is disabled."
}
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Too many requests. Try again shortly."
}
}{
"ok": false,
"error": {
"code": "internal_error",
"message": "An unexpected error occurred."
}
}Auth
Get session
Return the authenticated principal and which credential authenticated it. Works with either an API key or a session cookie, a convenient first call to verify integration credentials.
GET
/
auth
/
session
Get session
curl --request GET \
--url https://aropay.aro.media/api/v1/auth/session \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aropay.aro.media/api/v1/auth/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aropay.aro.media/api/v1/auth/session"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"data": {
"user": {
"id": "ckusr0001abcd",
"email": "you@company.com",
"name": "Ada Lovelace",
"company": "Example Corp",
"mustChangePassword": false,
"totpEnabled": true,
"lastLoginAt": "2026-08-13T09:00:00.000Z",
"createdAt": "2026-06-01T12:00:00.000Z"
},
"authMethod": "api_key"
}
}{
"ok": false,
"error": {
"code": "invalid_api_key",
"message": "Invalid API key."
}
}{
"ok": false,
"error": {
"code": "account_disabled",
"message": "This account is disabled."
}
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Too many requests. Try again shortly."
}
}{
"ok": false,
"error": {
"code": "internal_error",
"message": "An unexpected error occurred."
}
}Authorizations
apiKeyAuthsessionCookie
AroPay API key, sent as Authorization: Bearer aro_sk_…. Created in
the dashboard under Settings → API keys. Takes precedence over a
session cookie when both are present.